Real-Time Quote
Provide real-time quote data for major global stocks, covering thousands of individual stocks in global markets including A-shares, US stocks, and Hong Kong stocks. Include complete market indicators such as latest price, price change, trading volume, turnover rate, and P/E ratio, with real-time data updates.
/stock/quoteRequest Parameters
regionenumRequiredMarket code, supports HK(Hong Kong)、SH(Shanghai)、SZ(Shenzhen)、US(US stocks)、SG(Singapore)、JP(Japan)、TW(Taiwan)、IN(India)、TH(Thailand)、DE(Germany)、MX(Mexico)、MY(Malaysia)、TR(Turkey)、ES(Spain)、NL(Netherlands)、GB(Great Britain)etc.
exchangestringExchange, Use exchange to differentiate stocks in the same market. Empty returns primary exchange only. See /symbol/list for exchange codes.
codestringRequiredProduct code
Response Parameters
codenumberResponse code
msgstringResponse description
dataobject▶Response result
sstringSymbol code
ldnumberLatest price
onumberOpening price
pnumberPrevious Closing Price
hnumberHighest price
lnumberLowest price
tnumberTimestamp of the latest trade
vnumberTrading volume
tunumberTrading amount
tsnumberTrading Status 0: Normal Trading, 1: Trading Halt, 2: Delisted, 3: Circuit Breaker
chnumberChange
chpnumberChange %
Code Examples
import requests
url = "https://api.itick.org/stock/quote?region=HK&code=700"
headers = {
"accept": "application/json"
"token": "Your Token"
}
response = requests.get(url, headers=headers)
print(response.text)Query URL
https://api.itick.org/stock/quote?region=HK&code=700, Run query
Response Result
{
"code": 0,
"msg": null,
"data": {
"s": "700",
"ld": 616,
"o": 608,
"p": 608,
"h": 616,
"l": 601.5,
"t": 1765526889000, // 2025-12-12 08:08:09 UTC
"v": 17825495,
"tu": 10871536434.36,
"ts": 0,
"ch": 8,
"chp": 1.32
}
}